/***************************************************************************
 *   Copyright (C) 2005 by James Thorniley                                 *
 *   james@uncommonlygood.co.uk                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BURNINFOMESSAGEDIALOG_H
#define BURNINFOMESSAGEDIALOG_H

#include <kdialogbase.h>

class QTextEdit;
class QStringList;

/**
@author James Thorniley
*/
class BurnInfoMessageDialog : public KDialogBase
{
Q_OBJECT
public:
    BurnInfoMessageDialog(const QStringList& messages, QWidget *parent = 0, const char *name = 0);

    ~BurnInfoMessageDialog();

private:
    QTextEdit *m_textBox;
};

#endif
